'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _store;

function _load_store() {
  return _store = require('./store');
}

var _react;

function _load_react() {
  return _react = require('react');
}

class XDLProvider extends (_react || _load_react()).Component {
  getChildContext() {
    return { xdlStore: this.store, xdlStoreSubscription: null };
  }

  constructor(props, context) {
    super(props, context);
    this.store = (0, (_store || _load_store()).getStore)();
  }

  render() {
    return (_react || _load_react()).Children.only(this.props.children);
  }
}

exports.default = XDLProvider;
XDLProvider.childContextTypes = {
  xdlStore: (_react || _load_react()).PropTypes.object.isRequired,
  xdlStoreSubscription: (_react || _load_react()).PropTypes.object
};
XDLProvider.displayName = 'XDLProvider';
//# sourceMappingURL=../__sourcemaps__/state/XDLProvider.js.map
